{
  config,
  pkgs,
  ...
}: {
  programs = {
    home-manager.enable = true;

    z-lua = {
      enable = true;
      enableAliases = true;
      enableBashIntegration = true;
      enableZshIntegration = true;
    };

    gpg = {
      enable = true;
      settings = {};
    };

    taskwarrior.enable = true;
    fzf.enable = true;
    atuin = {
      enable = true;
      settings = {
        auto_sync = true;
        sync_frequency = "5m";
        sync_address = "https://atuin.cyplo.dev";
        search_mode = "fuzzy";
      };
      flags = ["--disable-up-arrow"];
    };
    go.enable = true;
    bat.enable = true;
    browserpass.enable = true;

    eza = {
      enable = true;
      git = true;
      icons = true;
    };
  };
}
